Core - Bug # 38244

Status: Rejected Priority: Won't have this time
Author: Simon Apold Category:

Created: 2012-06-21 Assigned To:

Updated: 2012-07-18 Due date:

TYPO3 Version: 4.7

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: 't3lib_lock’ does not exist if STYPO3_CONF_VARS['SYS'['systemLog'] = *file,...'

Description

If the systemLog is configured to file ($TYPO3_CONF_VARS['SYS'|['systemLog'] = 'file,..."), the workspace-module won't work.
It will only show an error message: "router - class 't3lib_lock' does not exist".

Related issues:

related to Core - Bug # 34662: Fatal error 't3lib_lock' does not exist if dep...

Resolved 2012-03-08

related to Core - Bug # 36241: Call-time pass-by-reference has been deprecated Resolved 2012-04-17

History

#1 - 2012-06-21 09:42 - Simon Apold
- File Patch1.diff added

| attached a patch, which fixes this issue.

#2 - 2012-06-21 10:16 - Philipp Gampe

Hi, do you mind pushing the patch to gerrit?

http://wiki.typo3.org/Contribution Walkthrough Tutorials

One nitpick for the patch, the comment needs one more tab of indention (always one more than the code).

#3 - 2012-06-21 20:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12260

#4 - 2012-06-21 21:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12260
#5 - 2012-06-21 21:06 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/12264

#6 - 2012-06-21 21:57 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at http://review.typo3.org/12269

#7 - 2012-06-21 22:29 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/12275

#8 - 2012-06-22 21:15 - Christian Kuhn

Is this still reproducible after #36241 is merged in 4.7?

To test please checkout workspaces_4-7 current branch in typo3/sysext/workspaces.

#9 - 2012-06-26 07:21 - Simon Apold

Your right, with the patch in #36241 this issue is not reproducible any more.

It seems, that any other PHP error message or even notice will cause this behaviour.

Should i abandon this change?

#10 - 2012-07-18 20:24 - Wouter Wolters

Can be abandoned:)

#11 - 2012-07-18 20:49 - Ernesto Baschny

- Status changed from Under Review to Rejected
- Priority changed from Must have to Won't have this time

Files
Patch1.diff 609 Bytes 2012-06-21 Simon Apold
